Bug 661848 - jna packaging improvements
Summary: jna packaging improvements
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: jna
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-09 19:04 UTC by Ville Skyttä
Modified: 2011-01-29 09:23 UTC (History)
3 users (show)

Fixed In Version: 3.2.7-11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-29 09:23:05 UTC
Type: ---


Attachments (Terms of Use)
Various packaging improvements (3.12 KB, patch)
2010-12-09 19:04 UTC, Ville Skyttä
no flags Details | Diff
Various packaging improvements (3.55 KB, patch)
2010-12-22 19:57 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2010-12-09 19:04:33 UTC
Created attachment 467823 [details]
Various packaging improvements

Attached is a patch containing various packaging improvements for jna, let me know if you'd like me to commit and build this for devel.

- Drop dependency on main package from -javadoc.
- Add license to -javadoc, and OTHERS and TODO to main package docs.
- Install javadocs and jars unversioned.
- Fix release-notes.html permissions.

Comment 1 Levente Farkas 2010-12-09 23:22:36 UTC
normal docs (ie. under /usr/share/doc) also versioned, but i don't care about it, but versioned jar are usually useful.
other parts are ok for me.

Comment 2 Ville Skyttä 2010-12-10 16:05:51 UTC
The jna build produces a single jar, jna.jar, so it must be installed unversioned per current packaging guidelines:

http://fedoraproject.org/wiki/Packaging:Java#JAR_file_installation
"If the package provides a single JAR and the filename provided by the build is
 %{name}.jar or %{name}-%{version}.jar then filename %{name}.jar MUST be used."

Unversioned javadoc dir must exist as well:
http://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation

Oh, and BTW -javadoc should be made noarch.

Comment 3 Ville Skyttä 2010-12-22 19:57:24 UTC
Created attachment 470299 [details]
Various packaging improvements

This one additionally makes -javadoc and -contrib noarch where possible.  Ok to push and build for devel?

Comment 4 Levente Farkas 2010-12-22 20:42:50 UTC
push.
but afaik !0%{?rhel} should have to be 0%{?fedora} or is there anything else?


Note You need to log in before you can comment on or make changes to this bug.